Subject: [Fot] Entries for the 2025 Kastner Cup race - Lime Rock Historics 43

From: yellow04 via Fot <[email-masked]>
Date: Tue, 10 Jun 2025 07:05:27 -0400

The entries for the Kastner Cup at Lime Rock stand at 35. Comparing the 
list of those who reached out to me several months ago showing their 
interest to the current entry list, I see many have not yet registered.

We have several moving parts involved planning the event, and it does 
make life easier on all the organizers if you folks who are intending on 
coming actually register sooner rather than later! The event has a 
liberal cancellation policy, you will receive a full refund if you 
cancel two weeks before the event, August 16th. So please register!

https://www.motorsportreg.com/events/historic-festival-43-race-car-entry-lime-rock-park-093569

Here is the list of our entries so far.

Schuster Vic AMBRO
Brown Richard Spitfire
Brown Thomas Spitfire
Cutter David Spitfire
Gagne Claude Spitfire
Gosselin Kevin Spitfire
Gussack David Spitfire
Harmuth Mike Spitfire
Janzen Scott GT6
Ostrowski Jason GT6
Schirano Brian GT6
King Jeff GT6 Mk3
Frymark John GT6+
Fritz Lorne TR3
Garmey Tony TR3
McCurdy Rick TR3
Styduhar John TR3
Boruch Joe TR3A
Redmond Todd TR3a
Drews Tony TR4
Gott Dave TR4
Thompson Greg TR4
Wheatley Mark TR4
Gee Chuck TR4A
Gott Phil TR4A
Riddle Dave TR4A
Howlett Brian TR-4A IRS
Frye Henry TR250
Cook Mark TR6
Hollowell Walt TR6
Horner Jaime TR6
Kurtz Mike TR6
Lang Bob TR6
Podmore Tom TR6
Schlesinger Alex TR7 coupe

I think this list is about 10 racers short of where I suspect we will 
end up. There are some obvious omissions, I have reached out to several 
folks who have indicated they are coming and will get right on that 
whole registration thing!

This is going to be a memorable event, it will be the first time we have 
gotten together and actually get some down time on Sunday to get to know 
Triumph racers we have perhaps emailed with but never met. A rough count 
shows we have 6 racers from the middle of the country, 4 racers from the 
west, and one from Canada! (Hi Claude, see you tomorrow at Mosport!)

Cheers

Henry Frye
KCup chair, Lime Rock 2025 and Mosport 2026
860.508.3118
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot